%define name memgrep
%define version 0.8.0
%define distsuffix plf
%define release %mkrel 6

%define major 0
%define libname %mklibname %name %major

Summary: Search/replace/dump memory from running processes and core files
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0:  memgrep.include.patch.bz2
License: Freely Distributable
Group: System/Kernel and hardware
Url: http://www.hick.org/code.html
BuildRoot: %{_tmppath}/%{name}-buildroot
ExclusiveArch: %ix86

%description
Memgrep is a tool to search, replace, or dump arbitrary memory from
running applications and core files. Potential applications for memgrep
include reverse engineering, debugging, and vulnerability assessment.

It is in plf because the unclear license.

%package -n %libname
Group: System/Libraries
Summary: Search/replace/dump memory from running processes and core files
Provides: lib%name = %version-%release

%description -n %libname
Memgrep is a tool to search, replace, or dump arbitrary memory from
running applications and core files. Potential applications for memgrep
include reverse engineering, debugging, and vulnerability assessment.

This package contain the libraries, you need it only if you uses applications
build against this library. The 'memgrep' application don't need it.

%package -n %libname-devel
Group: Development/Other
Summary: Search/replace/dump memory from running processes and core files
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
Requires: %libname = %version-%release

%description -n %libname-devel
Memgrep is a tool to search, replace, or dump arbitrary memory from
running applications and core files. Potential applications for memgrep
include reverse engineering, debugging, and vulnerability assessment.

This package contains files need to create application using the
memgrep library.

%prep
%setup -q
%patch0 -p0 -b .include

%build
%configure
%make FLAGS="$RPM_OPT_FLAGS -I../include"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_bindir,%_includedir,%_libdir}

install -m 755 memgrep %buildroot%_bindir
install -m 644 include/memgrep.h %buildroot%_includedir
install -m 755 libmemgrep.so %buildroot%_libdir/libmemgrep.so.%major
install -m 755 heaplist.so %buildroot%_libdir/heaplist.so.%major

(
cd %buildroot%_libdir
ln -s heaplist.so.%major heaplist.so
ln -s libmemgrep.so.%major libmemgrep.so
)

install -m 644 libmemgrep.a %buildroot%_libdir

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/html/*
%doc ChangeLog
%_bindir/%name

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc examples/simple.c
%_libdir/*.a
%_libdir/*.so
%_includedir/*.h

%changelog
* Sun Aug 20 2006 Olivier Thauvin <nanardon@zarb.org> 0.8.0-6plf
- rebuild

* Thu May 11 2006 Olivier Thauvin <nanardon@zarb.org> 0.8.0-5plf
- rebuild

* Sun Apr 10 2005 Olivier Thauvin <nanardon@zarb.org> 0.8.0-4plf
- rebuild
- ExclusiveArch: %%ix86

* Wed Feb 16 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.0-3plf
- rebuild

* Wed Feb 16 2005 Olivier Thauvin <nanardon@zarb.org> 0.8.0-2plf
- rebuild
- patch0: include ptrace.h

* Tue Dec 30 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.0-1plf
- 1st mdk spec


